Commit 70596193 authored by Carlos Garcia Campos's avatar Carlos Garcia Campos

3.16: Make WebKit1 a system module

WebKit1 is currently deprecated, no new changes will be introduced, so
the versions provided by distros should be enough for modules still
using it. This way we avoid having to build WebKit twice.
parent e9c53af9
......@@ -1618,39 +1618,6 @@
</dependencies>
</autotools>
<autotools id="WebKit1" makefile="GNUmakefile"
autogenargs="--enable-introspection --disable-webkit2">
<pkg-config>webkitgtk-3.0.pc</pkg-config>
<branch repo="webkitgtk.org"
module="webkitgtk-2.4.6.tar.xz" version="2.4.6"
hash="sha256:6fef4aa8d4a2668e03ea15472a71396ea7b776bbe56ad9459a4124b823c11457"
size="9862200">
</branch>
<dependencies>
<dep package="at-spi2-core"/>
<dep package="cairo"/>
<dep package="fontconfig"/>
<dep package="geoclue"/>
<dep package="libxml2"/>
<dep package="gst-plugins-base"/>
<dep package="gtk+"/>
<dep package="pango"/>
<dep package="libsoup"/>
<dep package="gobject-introspection"/>
<dep package="gperf"/>
<dep package="libicu"/>
<dep package="libXt"/>
<dep package="ruby"/>
<dep package="libsecret"/>
<dep package="libwebp"/>
</dependencies>
<suggests>
<dep package="libxslt"/>
<dep package="sqlite3"/>
<dep package="enchant"/>
</suggests>
</autotools>
<autotools id="zeitgeist">
<branch repo="git.freedesktop.org"
module="zeitgeist/zeitgeist"
......
......@@ -898,4 +898,9 @@
<branch repo="system" version="2.3.0"/>
<pkg-config>lttng-ust.pc</pkg-config>
</systemmodule>
<systemmodule id="WebKit1">
<pkg-config>webkitgtk-3.0.pc</pkg-config>
<branch repo="system" version="2.4.6"/>
</systemmodule>
</moduleset>
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment